import { Tap } from '@iotize/tap';
import { TapNLinkUpdater } from '@iotize/tap/firmware-update';
declare module '@iotize/tap/lib/tap' {
    interface Tap {
        firmwareUpdater: TapFirmwareUpdateExtension;
    }
}
export declare const _TAP_EXTENSION_FIRMWARE_UPDATE_: void;
/**
 * @deprecated use _TAP_EXTENSION_FIRMWARE_UPDATE_ instead
 */
export declare const __DEFINED_PROPERTY_GETTER_FIRMWARE_UPDATE_: void;
export declare class TapFirmwareUpdateExtension {
    private readonly context;
    constructor(context: {
        tap: Tap;
    });
    createLoader(packet: Uint8Array, options?: TapNLinkUpdater.Options): TapNLinkUpdater;
    apply(packet: Uint8Array, options?: TapNLinkUpdater.Options): import("rxjs").Observable<TapNLinkUpdater.Event>;
}
